Bug 250634 - Review Request: perl-Mail-DKIM - Perl module for DKIM support
Review Request: perl-Mail-DKIM - Perl module for DKIM support
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-02 12:23 EDT by Leif O M Bergman
Modified: 2012-11-06 01:10 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-18 09:37:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leif O M Bergman 2007-08-02 12:23:52 EDT
Spec URL: http://83.140.35.234/perl-Mail-DKIM.spec
SRPM URL: http://83.140.35.234/perl-Mail-DKIM-0.28-1.fc7.src.rpm
Description:
Mail-DKIM is a Perl module that implements the new Domain Keys Identified Mail
(DKIM) standard, and the older Yahoo! DomainKeys standard, both of which sign
and verify emails using digital signatures and DNS records. Mail-DKIM can be
used by any Perl program that wants to provide support for DKIM and/or
DomainKeys.
Comment 1 Jason Tibbitts 2007-08-02 21:22:02 EDT
This fails to build for me; it looks like you need build dependencies on
perl(Test::More), perl(Test::Simple).

The license tag should be "GPL+ or Artistic" according to the new scheme in
http://fedoraproject.org/wiki/PackagingDrafts/LicenseTag and
http://fedoraproject.org/wiki/Licensing although according to the website listed
in the URL it's just GPL.  I guess the code wins in this case, but it does show
that upstream isn't being all that careful about licensing.
Comment 2 Leif O M Bergman 2007-08-03 04:17:51 EDT
I shouldn't have to include indirect dependencies?

From mocks root.log
Installing:
 perl-Crypt-OpenSSL-RSA  x86_64     0.25-1.fc7       updates-released   39 k
 perl-Digest-SHA         x86_64     5.44-5.fc7       updates-released   52 k
 perl-Digest-SHA1        x86_64     2.11-1.2.1       fedora             49 k
 perl-Error              noarch     1:0.17008-1.fc7  fedora             25 k
 perl-ExtUtils-MakeMaker  x86_64     6.30-18.fc7      fedora            291 k
 perl-MailTools          noarch     1.77-1.fc7       updates-released   89 k
 perl-Net-DNS            x86_64     0.60-1.fc7       updates-released  220 k
Installing for dependencies:
 perl-CPAN               x86_64     1.76_02-18.fc7   fedora            127 k
 perl-Crypt-OpenSSL-Random  x86_64     0.04-2.fc7       updates-released   21 k
 perl-Digest-HMAC        noarch     1.01-15          fedora             12 k
 perl-ExtUtils-Embed     x86_64     1.26-18.fc7      fedora             32 k
 perl-Net-IP             noarch     1.25-3.fc7       fedora             31 k
 perl-Test-Harness       x86_64     2.56-18.fc7      fedora             77 k
 perl-Test-Simple        x86_64     0.62-18.fc7      fedora            108 k
 perl-TimeDate           noarch     1:1.16-3.2.1     fedora             32 k
 perl-devel              x86_64     4:5.8.8-18.fc7   fedora            387 k

$ rpm -q --whatprovides 'perl(Test::Simple)'
perl-Test-Simple-0.62-18.fc7
$ rpm -q --whatprovides 'perl(Test::More)'
perl-Test-Simple-0.62-18.fc7
$ rpm -q --whatrequires 'perl(Test::Simple)'
perl-devel-5.8.8-18.fc7

How can you test perlbased rpms without perl-devel? ;-)


Changing the license tag and sending a mail to upstream to be more excplicit
about the licensing terms.

Oh, how qute. The new license tag generate a warning from rpmlint. ;-)
A bugreport should probably be filed if it hasn't already.


Updated stuff:
Spec URL: http://83.140.35.234/perl-Mail-DKIM.spec
SRPM URL: http://83.140.35.234/perl-Mail-DKIM-0.28-2.fc7.src.rpm
Comment 3 Jason Tibbitts 2007-08-03 12:13:39 EDT
Erm, I'm building in mock; it doesn't matter what I have installed on my
systems.   If it won't build for me, it won't build in the buildsys, and if you
don't trust me then do a koji scratch build.  perl-devel is simply not in the
default buildroot for F8; you must require the modules your package needs to build.

The SRPM linked in the above comment is 404 for me.

> wget http://83.140.35.234/perl-Mail-DKIM-0.28-2.fc7.src.rpm
--11:10:21--  http://83.140.35.234/perl-Mail-DKIM-0.28-2.fc7.src.rpm
Connecting to 83.140.35.234:80... connected.
HTTP request sent, awaiting response... 404 Not Found
11:10:21 ERROR 404: Not Found.
Comment 4 Leif O M Bergman 2007-08-07 09:31:01 EDT
Ok, mocked against rawhide, got the same problem you had.

So try this:
Spec URL: http://83.140.35.234/perl-Mail-DKIM.spec
SRPM URL: http://83.140.35.234/perl-Mail-DKIM-0.28-3.fc7.src.rpm

Comment 5 Chris Weyl 2007-10-17 12:01:03 EDT
A couple comments from looking at the spec file:

Perl deps are specified by module, rather than by the name of the package that
provides the required module.  e.g., where your package buildrequires 
perl-ExtUtils-MakeMaker, it should buildrequire perl(ExtUtils::MakeMaker)
instead.  See
https://fedoraproject.org/wiki/PackagingDrafts/Perl#requiresandprovides

There look to be a number of files ripe for inclusion in %doc, namely README,
Change*, HACKING.dkim, scripts/, t/, etc, etc; why not include those in %doc?
Comment 6 Ruben Kerkhof 2008-01-20 16:10:17 EST
Leif, is this your first package for Fedora?
Comment 7 Steven Pritchard 2008-01-31 21:14:14 EST
The latest amavisd-new requires this module.  Leif, either you need to get this
review moving soon, or I'll have to close this and open a review request for my
package.
Comment 8 Leif O M Bergman 2008-02-01 05:12:14 EST
Ok, how does this look?

Spec URL: http://83.140.35.234/perl-Mail-DKIM.spec
SRPM URL: http://83.140.35.234/perl-Mail-DKIM-0.30.1-1.fc8.src.rpm

Comment 9 Richard W.M. Jones 2008-02-28 14:40:10 EST
Starting review.
Comment 10 Richard W.M. Jones 2008-02-28 14:43:26 EST
Looks like the upstream package URI has changed and a new
version has been released (1.0.1).  Can you upgrade and build
a new specfile+SRPM and I'll do a review.
Comment 11 F 2008-04-27 07:11:20 EDT
Can anyone give estimates on when DKIM support will be officially included for 
PostFix with RHEL?

Imho. it's a very urgently required addition as by the end of 2007 all 
financial institutions and fortune 500 companies will be using DKIM for 
mailings and already over half the companies sending mail to Yahoo are using 
DKIM. 

I would say having DKIM support included is just as important as having the MTA 
itself included with the OS, because only thing worse than not being able to 
send e-mail is sending e-mail that nobody will get - Yahoo puts mail without 
DKIM through extra filtering.

What should be used for setting up PostFix with DKIM/DK - This perl module? The 
sendmail dkim-milter? The Mail-DKIM and DKIMProxy? Or amavisd-new? 
http://www.dkim.org/deploy/index.htm

A quick and easy solution would be very welcome so each and every webmaster 
wouldn't have to waste days researching and setting it up.
Comment 12 Richard W.M. Jones 2008-04-28 03:30:57 EDT
I'm still waiting for the original submitter of this package to
update it.

As for your original question, I suggest you post something to
one of the mailing lists, eg. fedora-devel-list.
Comment 13 Kyle VanderBeek 2008-06-17 21:53:51 EDT
Looks like I created a duplicate bug 451903, but I'm an active contributor.  If
this bug has gone dormant, perhaps we can proceed with mine?  Mine builds in
mock and I'm familiar with the packaging guidelines.
Comment 14 Steven Pritchard 2008-06-18 09:37:12 EDT
It's been 5 months since I commented that we needed to get this review moving. 
I'd call that a stalled review.
Comment 15 vivek 2012-11-06 01:10:16 EST
(In reply to comment #11)
> Can anyone give estimates on when DKIM support will be officially included
> for 
> PostFix with RHEL?
> 
> Imho. it's a very urgently required addition as by the end of 2007 all 
> financial institutions and fortune 500 companies will be using DKIM for 
> mailings and already over half the companies sending mail to Yahoo are using 
> DKIM. 
> 
> I would say having DKIM support included is just as important as having the
> MTA 
> itself included with the OS, because only thing worse than not being able to 
> send e-mail is sending e-mail that nobody will get - Yahoo puts mail without 
> DKIM through extra filtering.
> 
> What should be used for setting up PostFix with DKIM/DK - This perl module?
> The 
> sendmail dkim-milter? The Mail-DKIM and DKIMProxy? Or amavisd-new? 
> http://www.dkim.org/deploy/index.htm
> 
> A quick and easy solution would be very welcome so each and every webmaster 
> wouldn't have to waste days researching and setting it up.

Note You need to log in before you can comment on or make changes to this bug.